{% extends 'base_front.html.twig' %}

{% block section %}

 <title>Pari</title>
{% if user %}
    {% if userCreator is same as user.id %}
        {% include 'profile/modal_invite_user_bet.html.twig' %}
    {% endif %}
{% endif %}

<div class="left-side-bar">
    <p class="number-player">Nombre de joueurs :
        {% if userDistinct %}
            {{ userDistinct|length }}</p>
        {% else %}
            0<p>
        {% endif %}

    {% if bet.isPublic == false %}
        {% for participe in userDistinct %}
                    <p class="player-name">{{ participe.firstname }} {{ participe.lastname }}</p>
                {% else %}
                    <p class="number-player">Aucun participant pour le moment</p>
        {% endfor %}
    {% endif %}

    {% if user %}
        {% if userCreator is same as user.id and bet.isPublic == false %}
            <p id="openModalInviteUser"><i class="fa fa-user-plus" aria-hidden="true"></i> Inviter un joueur</p>

            <div class="copy-link-bet">
                <input id="tocopy" value="{{ urlBet }}" disabled />
                <button class="js-copy" data-target="#tocopy"><i class="fa fa-link" aria-hidden="true"> Copier le lien</i></button>
            </div>
        {% endif %}
    {% endif %}
</div>

<div class="container-center">
    <div class="page page-bet">
        <div class="bet-name-type">
            <div>
                <p class="title-private-bet">Pari : {{ bet.name }}</p>
            </div>
            <p class="type-private-bet">
                {% if bet.isPublic == false %}
                    Privé
                {% else %}
                    Public
                {% endif %}
            </p>
        </div>
        <p class="title-event">Événement : {{ event.name }}</p>
        <p class="detail-event">Détail de l'événement :</p>
        <p class="detail-event-description">{{ event.description }}</p>
        <p class="title-choose">Choisissez pour miser</p>
        <div class="bet-choice">
            {% for betChoice in betChoices %}
                <a {% if is_granted('IS_AUTHENTICATED_FULLY')  %} href="{{ path('addBet', {'id': betChoice.id}) }}" class="choice-button {% else %} href="{{ path('app_login') }}" class="choice-unAuthenticated" {% endif %}  {% if asUser.findOneBy({'id_betChoice':betChoice.id, 'validated':false})%}selected{% endif %}" name="{{ betChoice.id }}" id="{{ betChoice.name }}">
                    <span>{{ betChoice.name }}</span>
                </a>
            {% endfor %}
        </div>

        <p>Mise totale pour ce pari : {% if totalStake %} {{ totalStake }} {% else %} 0 {% endif %}€<p> 

        <p class="bet-date">Créé le {{ bet.createdAt|date("d/m/Y") }}</p>
        <a href="{{ path ('app_profile_my_bets') }}" class="link-return-bet-list"><i class="fa fa-arrow-left" aria-hidden="true"></i> Retour à la liste des paris</a>
    </div>
</div>

{% endblock %}